Loading...
Searching...
No Matches
pqxx::string_traits< zview > Struct Reference

String traits for zview. More...

## Static Public Member Functions

static constexpr std::size_t | size_buffer (std::string_view const &value) noexcept
static char * | into_buf (char *begin, char *end, zview const &value)
static std::string_view | to_buf (char *begin, char *end, zview const &value)
static zview | from_string (std::string_view)=delete
| Don't convert to this type; it has nowhere to store its contents.

## Static Public Attributes

static constexpr bool | converts_to_string {true}
static constexpr bool | converts_from_string {false}

## Detailed Description

String traits for zview.

The documentation for this struct was generated from the following file:

- /build/libpqxx-hcWu4i/libpqxx-7.10.0/include/pqxx/internal/conversions.hxx